##### basic_raw_socket::send (2 of 3 overloads)

Send some data on a connected socket.

    template<
        typename ConstBufferSequence>
    std::size_t send(
        const ConstBufferSequence & buffers,
        socket_base::message_flags flags);

This function is used to send data on the raw socket. The function call will block until the data has been sent successfully or an error occurs.

###### Parameters

buffers

  One ore more data buffers to be sent on the socket.

flags

  Flags specifying how the send call is to be made.

###### Return Value

The number of bytes sent.

###### Exceptions

asio::system_error

  Thrown on failure.

###### Remarks

The send operation can only be used with a connected socket. Use the send_to function to send data on an unconnected raw socket.